Create Payment Session
Creates a unique payment session for a specified amount that can be shared with a customer.
How it works
- The customer uses the payment link to make a payment through the selected payment method.
- Once the payment is successfully completed, the partner receives a webhook notification for the session.
- A single session can contain multiple transactions, where each transaction represents a payment attempt.
- Customers can make multiple payment attempts using different payment methods.
Transaction details
Use the Get Session API to retrieve all transactions associated with a session. The status of each transaction can be retrieved using the Get Transaction API.
Authorizations
Merchant API Key
Generated request signature
Body
Fiat currency for which the request needs to be initiated.
USD, EURO, INR This URL is needed to redirect the user after the session is completed. The end customer will be redirected to this URL with the status of the session.
Billing details of the customer for the invoice.
Name of the product the customer wants to buy. Allowed: alphabets, numerals, spaces, dots, slash, hyphen, parentheses, underscore, and colon.
Customer's email. Required to send an invoice. One of email or clientReferenceId is a mandatory parameter.
Customer's reference ID that the partner can use to map the customer to the TransactBridge panel. If email is not passed in the request body, the customer must enter the email on the product checkout page. One of email or clientReferenceId is a mandatory parameter.
The customer's Indian phone number in the format of +91-XXXXXXXX
"+91-9876543210"
Checkout renders accordingly to choosen theme.
LIGHT, DARK, AUTO PAN number of the customer.
If the customer is business type then GST can be used so that the business can get input credits.
If the customer is already created, use customerId and then email will be optional.
Name of the customer.
This URL is needed to redirect the user after the session is in CREATED or STARTED status. Mandatory if returnUrl is not passed.
URL to redirect the user when the session is in EXPIRED status. Manadtory if returnUrl is not passed
URL to redirect the user when the session is in CLOSED status. Manadatory if returnUrl passed
Reference ID passed by the partner while generating the session.
Tax ID created by the partner.This allows us to tax the product correctly.
Shipping details of the customer.
Makes the shipping address the same as the billing address. If sameAsBilling the parameter value is set as true then the invoice will have the same shipping and billing address.
Payment methods that will be displayed to the customer. If the payMethod parameter is sent by the partner then on the payment page for the customer only that payment method will be visible to the user.
UPI, NB, CC, DC Depending on the redirection type value, the user will either be redirected to a new page for payment or to the same window of the product page.
SAME_PAGE, NEW_PAGE This parameter can be used to reduce the total cart pay amount.
The UTC date at which the session link will expire. If this is not passed by the partner, then the link will expire after 24 hours. This is the expiry of the link if a customer attempts the payment at the last minute, then the link will not expire until all the payment attempts transactions are not in the terminal state.
Note: Minimum 10 minutes in the future will be accepted as a valid expiryDate from the time of session creation.
Invoice configuration for the product sold in this billing session.
If the product is for a specific period, then the invoice created for the customer will have this parameter.
If the product is for a specific period, then the invoice created for the customer will have this parameter.
To add meta params in the session. They will be passed in the webhook and query API as well.
To add the checkout original URL from which customer got redirected to Transact Bridge checkout page
If this is set to be true then the customer on the checkout page will be first shown to add the remaining mandatory inputs like name, etc.